create_system_bitmap(3)

NAME
create_system_bitmap - Creates a system memory bitmap. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

BITMAP *create_system_bitmap(int width, int height);

DESCRIPTION
Allocates a system memory bitmap of the specified size. Read the introduction of this chapter for a comparison with other types of bitmaps and other specific details.

RETURN VALUE
Returns a pointer to the bitmap on success, NULL otherwise. Remember to destroy this bitmap before any subsequent call to set_gfx_mode().

SEE ALSO
create_bitmap(3), create_bitmap_ex(3), create_video_bitmap(3), create_sub_bitmap(3), destroy_bitmap(3), is_system_bitmap(3), clear_bitmap(3), clear_to_color(3), exupdate(3)